---
title: "SetDashboardWidgetLayout"
generated: true
---
<GenerationInfo sourceFile="packages/admin-ui/src/lib/core/src/extension/register-dashboard-widget.ts" sourceLine="31" packageName="@vendure/admin-ui" />

Sets the default widget layout for the Admin UI dashboard.

```ts title="Signature"
function setDashboardWidgetLayout(layoutDef: WidgetLayoutDefinition): void
```
Parameters

### layoutDef

<MemberInfo kind="parameter" type={`<a href='/reference/admin-ui-api/dashboard-widgets/widget-layout-definition#widgetlayoutdefinition'>WidgetLayoutDefinition</a>`} />

